# Manga Update Tracker

Small Node script that tracks updates on MangaDex and sends a Discord webhook when a new chapter is released.

## Setup

```shell
pnpm install
pnpm run compile
```

### Config

Create a `config.json` in the root directory of the project, or alongside the script. It should look like the below example, you can add as many webhooks as you want. The Check Interval is how often the script will check for updates, in seconds.

```json
{
  "checkInterval": 900, 
  "mangaByWebhook": {
    "DISCORD_WEBHOOK_URL_1": [
      "MANGADEX_MANGA_ID_1",
      "MANGADEX_MANGA_ID_2",
      "MANGADEX_MANGA_ID_3"
    ],
    "DISCORD_WEBHOOK_URL_2": [
      "MANGADEX_MANGA_ID_4",
      "MANGADEX_MANGA_ID_5"
    ]
  }
}
```

Once the config is set up you can run the script:

```shell
node .out/build.js # Or wherever the script is located
```

## Docker

You can also run the script in a Docker container:

```yaml
services:
  checker:
    image: git.pfy.ch/pfych/chapter-tracker:latest
    volumes:
      - "./config.json:/checker/config.json"
      - "./mangaHistory.json:/checker/mangaHistory.json"
```
